Bug 112075 - Error 1 when executed "make" command
Error 1 when executed "make" command
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-12-13 20:01 EST by JM Fraser
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-03 16:27:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description JM Fraser 2003-12-13 20:01:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
*** PLS NOTE that the package I selected was labelled "latest version"
and the directory name is: php4-200312132230 *** I did not uninstall
the -4.1.2* version prior to installing this latest one. Duh... Pls

Below are the full instructions, I initiated before committing the
"make" command:

./configure \
	--with-apxs2=/usr/local/apache/bin/apxs \
	--with-mysql \
	--prefix=/usr/local/apache/php \
	--with-config-file-path=/usr/local/apache/php \
	--enable-track-vars \
	--enable-force-cgi-redirect \
	--disable-cgi \
	--with-zlib \
	--with-gettext \

AND below is the error msg which halted the configuration:

/pub/php4-200312132230/ext/session/session.c: In function
/pub/php4-200312132230/ext/session/session.c:216: Internal error:
Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [ext/session/session.lo] Error 1
[root@frodo php4-200312132230]#

Hope you can help, mail me if you need any further information.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. initiate code as advised above
2. make

Actual Results:  The system ran thru the code and ended up where I had
originally advised.

Expected Results:  PHP should be sorted and installed!

Additional info:

Comment 1 Joe Orton 2003-12-15 15:34:51 EST
For a compiler crash, you need to include at least:

gcc -v

and select the correct version of Red Hat Linux to which this bug applies.
Comment 2 Jakub Jelinek 2003-12-22 19:45:31 EST
Well, for a compiler crash you should first of all see if it is reproducable or not.
In the former case provide preprocessed output (e.g by adding -save-temps
option to gcc), in the latter case there is likely some hardware fault.
Comment 3 Jakub Jelinek 2004-10-03 16:27:55 EDT
No feedback, closing.

Note You need to log in before you can comment on or make changes to this bug.